# =========================================== #
#            Java-Build Dev. Team             #
# =========================================== #

# =========================================== #
# Test server setting, shoudnt be touched in online game server
# =========================================== #
Debug = False
Assert = False
Developer = False
AcceptGeoeditorConn = False
# if true the server will be a test server (listed by clients setted up to list testserver)
TestServer = False

# Zone Setting
#   0 = Peace All the Time
#   1 = PVP During Siege for siege participants
#   2 = PVP All the Time
ZoneTown = 0

# Chat configuration
# Global Chat - ON (=region), OFF, GM, GLOBAL
GlobalChat = ON
# Trade Chat - ON (=global), OFF, GM, LIMITED (=region)
TradeChat = LIMITED

# Allow delete chars after nnn days, 0 - feature disabled
DeleteCharAfterDays = 7

# =========================================== #
# Server optimizations
# =========================================== #
# === Flood Protector ===
# set the initial size of the flood protector (should equal ~player count)
FloodProtectorInitialSize = 50

# === Items on ground management ===
# Allow players to drop items on the ground
AllowDiscardItem = True

# delete from world dropped reward items after n seconds. 0 - disabled
AutoDestroyDroppedItemAfter = 0

# List of items that will not be destroyed (seperated by ",")
# NOTE: Make sure the lists do NOT CONTAIN trailing spaces or spaces between the numbers! 
# items on this list will be protected regardless below options 
ListOfProtectedItems = 57,5575,6673

# This enables the server to only update itens when saving the character
# Enabling this greatly reduces DB usage and improves performance.
# WARNING: This option causes item loss during crashes
LazyItemsUpdate = false

# This forces(even if using lazy item updates) the items owned by the character to be updated into DB when saving its character
# Increases DB usage
UpdateItemsOnCharStore = false

# also delete from world misc. items dropped by players (all except equipable items)
# NOTE: work only if AutoDestroyDroppedItemAfter >0
DestroyPlayerDroppedItem = false

# Destroy also equipable items (armor, weapon, jewelry)
# NOTE: Work only if DestroyPlayerDroppedItem = true
DestroyEquipableItem = false

# save into DB dropped items for restoring after reboot
SaveDroppedItem = false

# Empty table after items are loaded into memory - safety seting
# if server crash before saving items, on next start old items will be restored
# and players may already picked up some of them - so this will prevent duplicates
EmptyDroppedItemTableAfterLoad = false

# Time interval in minutes to save in DB items on ground, 0 to disable
# NOTE: If SaveDroppedItemInterval is disabled items will be saved into DB only at server shutdown
SaveDroppedItemInterval = 60

# delete all saved items form DB On next start
# NOTE: Work only if SaveDroppedItem = false
ClearDroppedItemTable = false

# delete invalid quest from player
AutoDeleteInvalidQuestData = False
# setting false can improve server performance on high rate servers
PreciseDropCalculation = True
# allows creating multiple nonstackable items at one time 
MultipleItemDrop = True

# Forces full item inventory packet to be sent for any item change
# Note: This can increase network traffic 
ForceInventoryUpdate = False

# Set the html cache's lazy loading True or False
# (Load html's into cache only on first time requested)
LazyCache = True

# Activate the position recorder
# valid 3D points will be recorded and written to data/universe.txt on shutdown
ActivatePositionRecorder = False

# Interval (in ms) on which knownlist do full updates.
# WARNING! Useful interval is between 300 - 2000ms, too small value may kill your CPU, too high value
# may not update knownlists properly, the default value is choosen experimentally
KnownListUpdateInterval = 1250

# =========================================== #
# Additionnal features than can be enabled or disabled
# =========================================== #
# If you are experiencing problems with Warehouse or Freight transactions,
# feel free to disable them here. (They are both enabled by default).
AllowWarehouse = True

# Enable Warehouse Cache - if WH is not used will server clear memory used by this WH
WarehouseCache = False

# How long Warehouse should be store in Memory
WarehouseCacheTime = 15
AllowFreight = True

# If True player can try on weapon and armor in shop
# Each Item tried cost WearPrice adena
AllowWear = True
WearDelay = 10
WearPrice = 10

# =========================================== #
AllowLottery = False
AllowRace = False
AllowWater = True

# Enable pet for rent(wyvern&strider) from pet managers
AllowRentPet = False

# Allow fishing
AllowFishing = True

# Allow boat
AllowBoat = True

# Allow Manor
AllowManor = True

# Allow Walker NPC
AllowNpcWalkers = True

# Allow Pet managers pets walking
AllowPetWalkers = True

# =========================================== #
# Logging features
# =========================================== #
# Logging ChatWindow
LogChat = false